//const { __, _x, _n, _nx } = wp.i18n;
jQuery(document).ready(function($){
$("#borrardup").css('display','block');
//$("#borrardup").attr('style','display: block !important');
$('.botonsubmit').prop("disabled", true);
ejecutarfuncion(true);

function ejecutarfuncion(resultado)
{
var callAjax = function(){    
$.ajax({
url:obj.ajaxurl,
method:'POST',
dataType: 'json',
data:
{
      action: 'obtener_duplis',
      offset: obj.offset,
      contador: obj.contador,
      nonce: obj.nonce
   },
success:function(data){
		if (typeof data.porcentaje !== 'undefined') 
		{
		if (data.porcentaje == 0)
			data.porcentaje = 1;
		$("#myBar").css("width",data.porcentaje+"%");
		$("#myBar").html(data.porcentaje+"%");
		$("#resultadocarga").html(data.content);
		}
		if (data.status == 'complete')
			{
			$("#borrardup").css('display','none');
			clearInterval(callAjax);
			/*location.reload();*/
			}
		if (data.status == 'canceled')
			{
			$("#borrardup").css('display','none');
			$("#resultadocarga").css('display','none');
			$("#myProgress").css('display','none');
			clearInterval(callAjax);
			/*location.reload();*/
			}
		if (data.status == 'failed')
			{
			$("#borrardup").css('display','none');
			$("#myBar").css("width",data.porcentaje+"%");
			$("#myBar").html(data.porcentaje+"%");
			$("#resultadocarga").html(data.content);
			clearInterval(callAjax);
			}
}
});
}
setInterval(callAjax,2000);
}
});


